{% extends 'homepage/base.html' %} {% block content %} {% load static %}
<!-- Translations -->
{% load i18n %}

<div class="row">
  <div class="col-md-2 mx-2 my-2">
    <h2>{% trans "Services" %}</h2>
  </div>
</div>
<div class="col-12 col-md-9 col-xl-8 py-md-3 pl-md-5">
  <form class="form" id="add-service-form" method="POST" action="" role="form">
    {% csrf_token %} {{ form.non_field_errors }}

    <div class="form-row" id="error-service-name">
      <div class="form-group col-md-12">
        <span class="text-danger small">{{ form.name.errors }}</span>
      </div>
    </div>

    <div class="form-row">
      <div class="form-group col-md">
        <label for="{{ form.name.id_for_label }}">{% trans "Name" %}</label>
        {{ form.name }} {% if form.name.help_text %}
        <p class="help">{{ form.name.help_text|safe }}</p>
        {% endif %}
      </div>
    </div>

    <div class="form-row" id="error-service-price">
      <div class="form-group col-md-6">
        <span class="text-danger small">{{ form.price.errors }}</span>
      </div>
      <div class="form-group col-md-6">
        <span class="text-danger small">{{ form.duration.errors }}</span>
      </div>
    </div>

    <div class="form-row">

      <div class="form-group col-md-6">
        <label for="{{ form.price.id_for_label }}">{% trans "Price" %}</label>
        {{ form.price }}
        {% if form.price.help_text %}
        <p class="help">{{ form.price.help_text|safe }}</p>
        {% endif %}
      </div>

      <div class="form-group col-md-6">
        <label for="{{ form.duration.id_for_label }}">{% trans "Duration" %}</label>
        {{ form.duration }} {% if form.duration.help_text %}
        <p class="help">{{ form.duration.help_text|safe }}</p>
        {% endif %}
      </div>
    </div>

    <button class="btn btn-success my-4" style="width:100px" type="submit">OK</button>

  </form>
</div>

{% if user.service_set.all %} {% for service in user.service_set.all %}
<ul class="offset-md-2">
  <li>
    <a href="{% url 'services:service-update' service.id %}">{{ service }}</a>
    <a class="mx-2" href="{% url 'services:service-delete' service.pk %}">
      <i class="far fa-trash-alt fa-fw" id="trash-img"></i>
    </a>
  </li>
</ul>
{% endfor %} {% endif %} {% endblock %}